## efingerd 1.3

=== Makefile ===

BINDIR=/usr/local/sbin
MANDIR=/usr/local/man/man8

CC = gcc 
CFLAGS = -O2 -Wall  

#or, if you do not have libinent at all:
#CFLAGS = -O2 -Wall -DDONT_HAVE_LIBIDENT

#and if you do not have snprintf
#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF

#and if you do not have both 
#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF -DDONT_HAVE_LIBIDENT

#uncomment the following line if you do have libident.so
#LDFLAGS = -lident


all: efingerd

efingerd: efingerd.o child.o utils.o
#	$(CC) $(CFLAGS) $(LDFLAGS) efingerd.o child.o -o efingerd
#replace the line below with the line above if you have libident.so, or 
#do not have libident at all
#modify path to libident.a if necessary
	$(CC) $(CFLAGS) $(LDFLAGS) efingerd.o child.o /usr/lib/libident.a -o efingerd
	strip efingerd

efingerd.o: efingerd.c
	$(CC) $(CFLAGS) -c efingerd.c

child.o: child.c
	$(CC) $(CFLAGS) -c child.c

utils.o: utils.c
	$(CC) $(CFLAGS) -c utils.c

clean:
	rm -f *~ *.o efingerd

install: efingerd 
	cp efingerd $(BINDIR)
	mkdir -p $(DESTDIR)/etc/efingerd
	cp examples-standard/* $(DESTDIR)/etc/efingerd

install-doc: efingerd 
	gzip -9 efingerd.8 -c >$(MANDIR)/efingerd.8.gz

=== debian/changelog ===
efingerd (1.3) unstable; urgency=low

  * added build dependencies
  * new Standards-Version
  * added conflict with fingerd and xfingerd

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  5 Dec 1999 15:57:59 +0100

efingerd (1.2) unstable; urgency=low

  * upgraded Standards-Version
  * Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk> is the person
    responsible for this package; I am his sponsor and uploading it on his
    behalf.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Oct 1999 21:44:29 +0200  

efingerd (1.1) unstable; urgency=low

  * better postinst and prerm - after uninstalling, it should leave
    finger entry in /etc/inetd.conf in the same state as it was before.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 28 Jul 1999 17:26:23 +0200

efingerd (1.0) unstable; urgency=low

  * documentation and manpage updates
  * first stable version 

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 28 Jul 1999 17:26:15 +0200

efingerd (0.9) unstable; urgency=low

  * converted to debhelper
  * -u option added
  * code cleanup
  * freebsd compile 
  * ident time increased to 20 seconds - can make things slower sometimes,
    but ident replies from Japan to Slovakia and back again (mostly)
    work now :-)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 30 Apr 1999 10:26:08 +0200

efingerd (0.8) unstable; urgency=low

  * Package debianized 
  * Makefile update with regard to libident
  * New option -f (do not display full name) (suggested by PeHaSys)
  * option -s changed to -t
  * Change in location of script files! If you are upgrading, check out
    your old configuration.

 -- Radovan Garabik <garabik@fmph.uniba.sk>  Fri,  5 Mar 1999 10:18:25 +0100

efingerd (0.7) unstable; urgency=low

  * Some cleanup in options, changelog started :-)
		
 -- Radovan Garabik <garabik@fmph.uniba.sk>  Sun,  28 Feb 1999 20:08:15 +0100
 

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: efingerd
Section: net
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Standards-Version: 3.1.1

Package: efingerd
Architecture: any
Depends: ${shlibs:Depends}
Build-Depends: libident-dev
Conflicts: cfingerd, ffingerd, fingerd, xfingerd
Suggests: finger
Description: Another finger daemon for unix capable of fine-tuning your output.
 efingerd is a finger daemon, which executes programs and displays their
 output. This gives you complete control over what to display and to who, 
 and an extreme configurability.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) -f Makefile.debian

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -f Makefile.debian clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## efingerd 1.3.2

=== debian/changelog ===
efingerd (1.3.2) stable; urgency=high

  * fixed unterminated string error
  * -u option (ignore user specific .efingerd file) is now default

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 18 Mar 2002 19:31:37 +0100

efingerd (1.3.1) stable; urgency=high

  * check for array size when doing reverse DNS lookup - 
    backported from version 1.6.2, this fixes possible
    remote shell exploit (closes: #136192)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 28 Feb 2002 18:35:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
 Standards-Version: 3.1.1
+Build-Depends: libident-dev
 
 Package: efingerd
 Architecture: any
 Depends: ${shlibs:Depends}
-Build-Depends: libident-dev
 Conflicts: cfingerd, ffingerd, fingerd, xfingerd
 Suggests: finger
 Description: Another finger daemon for unix capable of fine-tuning your output.

## efingerd 1.6.2

=== debian/changelog ===
efingerd (1.6.2) unstable; urgency=low

  * added Brazilian Portuguese debconf template (thanks to André Luís Lopes),
    closes: #108532
  * fix unterminated string error
  * added Lithuanian debconf template
    (thanks to Tomas Stanys <tomas_stanys@tempest.sk>)
  * warning about security issues added to README (closes: #133678)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon, 13 Aug 2001 11:38:20 +0200

efingerd (1.6.1) unstable; urgency=low

  * added German template for debconf (thanks to Jörg Rieger), closes: #95097

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 17 May 2001 21:47:38 +0200

efingerd (1.6) unstable; urgency=low

  * code does not use snprintf anymore (should be more portable)
  * various spelling and grammar corrections in documentation
    (thanks to Petr Hudec <pehasys@galileo.dnp.fmph.uniba.sk>)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 14 Mar 2001 09:33:39 +0100

efingerd (1.5.1) unstable; urgency=low

  * logfile is not executable anymore - oops

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu,  8 Mar 2001 18:55:05 +0100

efingerd (1.5) unstable; urgency=low

  * some code cleanup
  * use debconf in postins to interact with user
  * daemon runs under its own uid in debian package now

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed,  7 Mar 2001 22:30:59 +0100

efingerd (1.4.2) unstable; urgency=low

  * moved Build-Depends where it belongs
  * applied more drastic approach when using update-inetd in
    postinst and prerm to circumvent design deficiencies in
    update-inetd

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 23 Feb 2001 21:03:10 +0100

efingerd (1.4.1) unstable; urgency=low

  * rebuilt with a new GPG key

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  1 Sep 2000 07:51:31 +0200

efingerd (1.4) unstable; urgency=low

  * added missing #DEBHELPER# to postinst and prerm
  * added debhelper to Build-Depends

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 12 Jan 2000 10:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Standards-Version: 3.1.1
-Build-Depends: libident-dev
+Standards-Version: 3.2.1
+Build-Depends: libident-dev, debhelper
 
 Package: efingerd
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, debconf
 Conflicts: cfingerd, ffingerd, fingerd, xfingerd
 Suggests: finger
 Description: Another finger daemon for unix capable of fine-tuning your output.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DH_COMPAT=2
 
 build: build-stamp
 build-stamp:
@@ -34,7 +35,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/efingerd
 
 	touch install-stamp
 
@@ -47,6 +48,7 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
+	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
 #	dh_installmenu
@@ -59,7 +61,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
+#	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## efingerd 1.6.2.1

=== debian/changelog ===
efingerd (1.6.2.1) unstable; urgency=low

  * Non-maintainer upload
  * Switched to po-debconf. (closes: #250266)
  * Updated Brazilian Portuguese debconf template translation.
    (closes: #301909)
  * Added French debconf template translation.
  * Added Czech debconf template translation.

 -- Lucas Wall <lwall@debian.org>  Tue, 12 Apr 2005 10:32:57 -0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
 Standards-Version: 3.2.1
-Build-Depends: libident-dev, debhelper
+Build-Depends: libident-dev, debhelper (>= 4.1.16)
 
 Package: efingerd
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, debconf (>= 1.2.0)
 Conflicts: cfingerd, ffingerd, fingerd, xfingerd
 Suggests: finger
 Description: Another finger daemon for unix capable of fine-tuning your output.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
+	debconf-updatepo
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) -f Makefile.debian clean

## efingerd 1.6.2.4

=== debian/changelog ===
efingerd (1.6.2.4) unstable; urgency=low

  * fixed debconf dependency

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 27 Sep 2005 08:44:10 +0200

efingerd (1.6.2.3) unstable; urgency=low

  * rebuild with newer po-debconf, Vietnamese translation is now really
    included
  * when already there, converted some debconf templates to utf-8, fix
    lithuanian template
  * upgrade debhelper compat version

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon, 29 Aug 2005 17:30:02 +0200

efingerd (1.6.2.2) unstable; urgency=low

  * Added Vietnamese debconf template translation (closes: #311612)
  * fix German debconf template translation (closes: #313695)
  * fix copyright file wording (closes: #302956)
  * use dh_installman
  * upgrade maintainer field

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon, 29 Aug 2005 16:14:38 +0200

## efingerd 1.6.2.5

=== debian/changelog ===
efingerd (1.6.2.5) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf templates translations:
    - Portuguese
    - Spanish. Closes: #402304
    - German. Closes: #393348
    - Swedish. Closes: #343860
  * Lintian/piuparts fixes:
    - Remove the log file on purge. Closes: #339942
  * Remove the abusive debconf note and move its text to README.Debian
    Closes: #388889

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Feb 2007 16:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: efingerd
 Section: net
 Priority: optional
-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Standards-Version: 3.2.1
+Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Standards-Version: 3.6.2
 Build-Depends: libident-dev, debhelper (>= 4.1.16)
 
 Package: efingerd
 Architecture: any
-Depends: ${shlibs:Depends}, debconf (>= 1.2.0)
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser
 Conflicts: cfingerd, ffingerd, fingerd, xfingerd
 Suggests: finger
 Description: Another finger daemon for unix capable of fine-tuning your output.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=2
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -56,7 +56,7 @@
 #	dh_installemacsen
 #	dh_installinit
 #	dh_installcron
-	dh_installmanpages
+	dh_installman efingerd.8
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_strip

## efingerd 1.6.2.5ubuntu1

=== debian/changelog ===
efingerd (1.6.2.5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Add update-inetd to efingerd's dependencies
    - debian/control: Add openbsd-inetd | inet-superserver in dependencies

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 04 Feb 2007 09:41:16 +0100

efingerd (1.6.2.4ubuntu1) feisty; urgency=low

  * debian/control: Add update-inetd to efingerd's dependencies
     (Closes Ubuntu: #76022).
  * debian/control : Add openbsd-inetd | inet-superserver in dependencies

 -- Lionel Porcheron <lionel@alveonet.org>  Sat, 16 Dec 2006 17:06:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: efingerd
 Architecture: any
-Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser, update-inetd, openbsd-inetd | inet-superserver
 Conflicts: cfingerd, ffingerd, fingerd, xfingerd
 Suggests: finger
 Description: Another finger daemon for unix capable of fine-tuning your output.

## efingerd 1.6.2.6

=== debian/changelog ===
efingerd (1.6.2.6) unstable; urgency=low

  * added Dutch debconf templates translation (closes: #451394)
  * clean up some lintian warnings

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sun, 16 Dec 2007 16:30:33 +0100

## efingerd 1.6.2.6ubuntu1

=== debian/changelog ===
efingerd (1.6.2.6ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - debian/control: Add openbsd-inetd | inet-superserver in dependencies
  * debian/control: Change Maintainer/XSBC-Original-Maintainer field

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Thu, 07 Feb 2008 09:57:11 +0100

=== debian/control ===
Source: efingerd
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 3.7.3
Build-Depends: libident-dev, debhelper (>= 4.1.16), po-debconf

Package: efingerd
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser, update-inetd
Conflicts: cfingerd, ffingerd, fingerd, xfingerd
Suggests: finger
Description: Another finger daemon for unix capable of fine-tuning your output.
 efingerd is a finger daemon, which executes programs and displays their
 output. This gives you complete control over what to display and to who, 
 and an extreme configurability.

## efingerd 1.6.2.6ubuntu2

=== debian/changelog ===
efingerd (1.6.2.6ubuntu2) intrepid; urgency=low

  * debian/control: Fix missing Debian Maintainer field (LP: #230350)

 -- Saïvann Carignan <oxmosys@gmail.com>  Wed, 21 May 2008 23:24:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: efingerd
 Section: net
 Priority: optional
-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.7.3
 Build-Depends: libident-dev, debhelper (>= 4.1.16), po-debconf

## efingerd 1.6.2.7

=== debian/changelog ===
efingerd (1.6.2.7) unstable; urgency=low

  * added Russian debconf templates translation (closes: #558279)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Fri, 01 Jan 2010 21:29:01 +0100

## efingerd 1.6.2.7ubuntu1

=== debian/changelog ===
efingerd (1.6.2.7ubuntu1) oneiric; urgency=low

  * Makefile.debian: Use LIBS instead of LDFLAGS for libraries, and added LIBS
    to the compiler.  Fixes FTBFS with --as-needed. (LP: #770943)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 17 Sep 2011 09:59:48 +0100

## efingerd 1.6.2.7+nmu1

=== debian/changelog ===
efingerd (1.6.2.7+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Debconf templates translations:
    - Add Danish, Joe Hansen (closes: #658342)
    - Add Slovak, Slavko (closes: #685381)
    - Add Polish, Michał Kułach (closes: #685945)
    - Add Italian, Beatrice Torracca (closes: #686002)

 -- David Prévot <taffit@debian.org>  Mon, 27 Aug 2012 11:09:38 -0400

## efingerd 1.6.2.7+nmu1ubuntu1

=== debian/changelog ===
efingerd (1.6.2.7+nmu1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Makefile.debian: Use LIBS instead of LDFLAGS for libraries, and added
      LIBS to the compiler.  Fixes FTBFS with --as-needed.

 -- Logan Rosen <logatronico@gmail.com>  Wed, 24 Oct 2012 15:07:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: efingerd
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.7.3
 Build-Depends: libident-dev, debhelper (>= 4.1.16), po-debconf

## efingerd 1.6.4

=== debian/changelog ===
efingerd (1.6.4) unstable; urgency=low

  * fix -t missing number parsing (thanks to the Mayhem project)
  * bump up debian/compat, debian/source/format

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sun, 30 Jun 2013 12:16:30 +0200

efingerd (1.6.3) unstable; urgency=low

  * Makefile.debian: Use LIBS instead of LDFLAGS for libraries, and added LIBS
    to the compiler (closes: #641900)
  * various issues fixed thanks to Reuben Thomas
  * do not use ident by default; use the -i switch to turn it on
  * fix typos in manpages (closes: #710187)
  * update e-mail address (closes: #710188)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sat, 01 Jun 2013 15:01:19 +0200

## efingerd 1.6.5

=== debian/changelog ===
efingerd (1.6.5) unstable; urgency=low

  * Sanitize DNS response, ident response and username before passing them
    to user-defined executables (closes: #724063). While the default scripts
    are probably immune, this does not mean users' ones will be immune as
    well.
  * add Japanese debconf translation (closes: #718525)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 15 Oct 2013 10:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: efingerd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.7.3
-Build-Depends: libident-dev, debhelper (>= 4.1.16), po-debconf
+Build-Depends: libident-dev, debhelper (>= 9), po-debconf
 
 Package: efingerd
 Architecture: any

## efingerd 1.6.5build1

=== Makefile ===
--- 
+++ 
@@ -3,16 +3,10 @@
 MANDIR=/usr/local/man/man8
 
 CC = gcc 
-CFLAGS = -O2 -Wall  
+CFLAGS = -O2 -Wall -Wsurprising
 
 #or, if you do not have libinent at all:
 #CFLAGS = -O2 -Wall -DDONT_HAVE_LIBIDENT
-
-#and if you do not have snprintf
-#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF
-
-#and if you do not have both 
-#CFLAGS = -O2 -Wall -DDONT_HAVE_SNPRINTF -DDONT_HAVE_LIBIDENT
 
 #uncomment the following line if you do have libident.so
 #LDFLAGS = -lident
@@ -20,7 +14,7 @@
 
 all: efingerd
 
-efingerd: efingerd.o child.o utils.o
+efingerd: efingerd.o child.o
 #	$(CC) $(CFLAGS) $(LDFLAGS) efingerd.o child.o -o efingerd
 #replace the line below with the line above if you have libident.so, or 
 #do not have libident at all
@@ -34,9 +28,6 @@
 child.o: child.c
 	$(CC) $(CFLAGS) -c child.c
 
-utils.o: utils.c
-	$(CC) $(CFLAGS) -c utils.c
-
 clean:
 	rm -f *~ *.o efingerd

=== debian/changelog ===
efingerd (1.6.5build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:21:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: efingerd
 Section: net
 Priority: optional
-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
 Standards-Version: 3.7.3
 Build-Depends: libident-dev, debhelper (>= 9), po-debconf

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=4
+#export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -24,7 +24,7 @@
 	debconf-updatepo
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) -f Makefile.debian clean
+	$(MAKE) -f Makefile.debian clean
 
 	dh_clean

## efingerd 1.6.5+nmu1

=== debian/changelog ===
efingerd (1.6.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957166)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Jan 2021 19:41:15 +0000

## efingerd 1.6.7

=== debian/changelog ===
efingerd (1.6.7-1) unstable; urgency=medium

  * Updated Debian packaging (closes: #998934)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Tue, 21 Dec 2021 16:21:23 +0100

efingerd (1.6.6) unstable; urgency=low

  * (long forgotten) fix documentation about the -u switch

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon, 20 Dec 2021 14:42:51 +0100

=== debian/control ===
Source: efingerd
Section: net
Priority: optional
Maintainer: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
Standards-Version: 4.5.1
Build-Depends: libident-dev, debhelper (>= 10), po-debconf

Package: efingerd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0, netbase, adduser, update-inetd
Conflicts: cfingerd, ffingerd, fingerd, xfingerd
Suggests: finger
Description: Another finger daemon for unix capable of fine-tuning your output.
 efingerd is a finger daemon, which executes programs and displays their
 output. This gives you complete control over what to display and to who, 
 and an extreme configurability.

=== debian/rules ===
#!/usr/bin/make -f


# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1



# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_test:


override_dh_auto_install:
	dh_auto_install -- prefix=/usr STRIP=true

%:
	dh $@
